Bug 616322 - iwlagn: SW microcode SW error
iwlagn: SW microcode SW error
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 03:22 EDT by Yaniv Kaul
Modified: 2013-07-03 22:00 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 13:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2010-07-20 03:22:02 EDT
Description of problem:
From my /var/log/messages, on my Lenovo T500:

Jul 20 08:58:12 ykaul kernel: iwlagn 0000:03:00.0: iwl_tx_agg_start on ra = 00:23:cd:15:60:6c tid = 0
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Microcode SW error detected.  Restarting 0x2000000.
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Start IWL Error Log Dump:
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Status: 0x000212E4, count: 5
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Desc                               Time       data1      data2      line
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: SYSASSERT                    (#05) 0764603793 0x00008035 0x0000A907 1364
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: blink1  blink2  ilink1  ilink2
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: 0x039B8 0x039B8 0x008B2 0x00000
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Start IWL Event Log Dump: display last 20 entries
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701035:0x0a9a001c:0206
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701037:0x00000001:0204
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701040:0x00000001:0219
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701041:0x01000050:0211
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701045:0x00000000:0212
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701085:0x00000000:0215
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701089:0x00000008:0220
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701617:0x0a9a001c:0206
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701619:0x00000001:0204
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701622:0x00000001:0219
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701623:0x01000050:0211
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701627:0x00000000:0212
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701653:0x00000000:0215
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701657:0x00000008:0220
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701674:0x00000000:0302
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701703:0x000000d4:0303
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701707:0x00000f9b:0217
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701708:0x0a9a001c:0217
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701766:0x048e004e:0401
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0048701778:0x00000000:0125
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Microcode SW error detected.  Restarting 0x2000000.
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Start IWL Error Log Dump:
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Status: 0x000212E4, count: 5
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Desc                               Time       data1      data2      line
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: SYSASSERT                    (#05) 0765033387 0x40008035 0x0000A907 1364
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: blink1  blink2  ilink1  ilink2
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: 0x039B8 0x039B8 0x008B2 0x00000
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: Start IWL Event Log Dump: display last 20 entries
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404752:0x00000000:0212
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404778:0x00000000:0215
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404782:0x00000008:0220
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404799:0x00000000:0302
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404827:0x000000d4:0303
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404832:0x00000010:0217
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404833:0x020f001c:0217
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404876:0x0210001c:0206
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404878:0x00000001:0204
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404881:0x00000001:0219
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404882:0x01000050:0211
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404886:0x00000000:0212
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404912:0x00000000:0215
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404916:0x00000008:0220
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404933:0x00000000:0302
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404962:0x000000d4:0303
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404966:0x00000011:0217
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404967:0x0210001c:0217
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404976:0x0434004e:0401
Jul 20 08:59:00 ykaul kernel: iwlagn 0000:03:00.0: EVT_LOGT:0000404987:0x00000000:0125
Jul 20 08:59:01 ykaul kernel: iwlagn 0000:03:00.0: iwl_tx_agg_start on ra = 00:23:cd:15:60:6c tid = 0
Jul 20 09:01:53 ykaul kernel: iwlagn 0000:03:00.0: Microcode SW error detected.  Restarting 0x2000000.
Jul 20 09:01:53 ykaul kernel: iwlagn 0000:03:00.0: Start IWL Error Log Dump:
Jul 20 09:01:53 ykaul kernel: iwlagn 0000:03:00.0: Status: 0x000212E4, count: 5
Version-Release number of selected component (if applicable):
iwl5000-firmware-8.24.2.12-3.fc13.noarch

[ykaul@ykaul spice]$ modinfo iwlagn
filename:       /lib/modules/2.6.33.6-147.fc13.x86_64/kernel/drivers/net/wireless/iwlwifi/iwlagn.ko
alias:          iwl4965
license:        GPL
author:         Copyright(c) 2003-2009 Intel Corporation <ilw@linux.intel.com>
version:        2.6.33.6-147.fc13.x86_64-kds
description:    Intel(R) Wireless WiFi Link AGN driver for Linux
firmware:       iwlwifi-4965-2.ucode
firmware:       iwlwifi-5150-2.ucode
firmware:       iwlwifi-5000-2.ucode
firmware:       iwlwifi-6050-4.ucode
firmware:       iwlwifi-6000-4.ucode
firmware:       iwlwifi-1000-3.ucode
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
	Subsystem: Intel Corporation WiFi Link 5100 AGN
	Physical Slot: 1
	Flags: bus master, fast devsel, latency 0, IRQ 33
	Memory at f4300000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn
	Kernel modules: iwlagn
Comment 1 John W. Linville 2010-07-20 11:14:44 EDT
Does the connection eventually recover?
Comment 2 Yaniv Kaul 2010-07-20 15:09:12 EDT
(In reply to comment #1)
> Does the connection eventually recover?    

Yes.
Comment 3 John W. Linville 2010-08-05 13:26:45 EDT
OK, then it seems like we (i.e. Fedora) are doing all we can do.  Problems with the Intel firmware need to be handled by the folks at www.intellinuxwireless.org...
Comment 4 wey-yi.w.guy 2010-08-05 13:32:46 EDT
it is watchdog timer kick in which mean some process took too much time to complete and timeout. We will have our firmware team look into it, but I am glade it can recover ok.

Wey
Comment 5 Pekka Pietikäinen 2010-09-18 15:58:34 EDT
Hint for those experiencing problem, loading iwlagn with 11n_disable=1 makes things much much better (as in no stalls so far, .35 is totally unusable and .33 and .34 just randomly worked badly every now and then without 11n enabled). 

Looking at the wireless list Intel has a new ucode ready that should fix this, but it's not been released yet. Keeping my fingers crossed :)

Note You need to log in before you can comment on or make changes to this bug.